apiVersion: apps/v1
kind: Deployment
metadata:
  name: yopass
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: yopass
  template:
    metadata:
      labels:
        app.kubernetes.io/name: yopass
    spec:
      containers:
        - name: yopass
          image: jhaals/yopass
          args:
            - "--memcached=localhost:11211"
          ports:
            - name: http
              containerPort: 1337
          resources:
            limits:
              cpu: 100m
              memory: 50Mi
            requests:
              cpu: 100m
              memory: 50Mi
        - name: yopass-memcached
          image: memcached
          resources:
            limits:
              cpu: 100m
              memory: 100Mi
            requests:
              cpu: 100m
              memory: 100Mi
          args:
            - "-m 64"
          ports:
            - name: memcached
              containerPort: 11211
---
kind: Service
apiVersion: v1
metadata:
  name: yopass
spec:
  selector:
    app.kubernetes.io/name: yopass
  type: ClusterIP
  ports:
    - name: http
      port: 1337
